CVE-2023-22655

NameCVE-2023-22655
DescriptionProtection mechanism failure in some 3rd and 4th Generation Intel(R) Xeon(R) Processors when using Intel(R) SGX or Intel(R) TDX may allow a privileged user to potentially enable escalation of privilege via local access.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
ReferencesDLA-3808-1
Debian Bugs1066108

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
intel-microcode (PTS)buster/non-free3.20220510.1~deb10u1vulnerable
buster/non-free (security)3.20240312.1~deb10u1fixed
bullseye/non-free, bullseye/non-free (security)3.20231114.1~deb11u1vulnerable
bookworm/non-free-firmware (security), bookworm/non-free-firmware3.20231114.1~deb12u1vulnerable
sid/non-free-firmware, trixie/non-free-firmware3.20240514.1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
intel-microcodesourcebuster3.20240312.1~deb10u1DLA-3808-1
intel-microcodesource(unstable)3.20240312.11066108

Notes

[bookworm] - intel-microcode <postponed> (Decide after exposure on unstable for update)
[bullseye] - intel-microcode <postponed> (Decide after exposure on unstable for update)
https://www.intel.com/content/www/us/en/security-center/advisory/intel-sa-00960.html
https://github.com/intel/Intel-Linux-Processor-Microcode-Data-Files/releases/tag/microcode-20240312

Search for package or bug name: Reporting problems